<h3 style="color: green;">Welcome: {{emailId}}!</h3>

<div align="center">
    Enter Employee-Id: <input type="text" name="empId" [(ngModel)]="empId" /> <br/><br/>
    <button (click)="getEmployee()">Get Employee</button>
</div>

<br/><br/>

<div *ngIf="emp; else notfound">
    <div class="container">
        <table class="table table-bordered table-hover table-striped table-sm">
            <thead>
                <tr align="center">
                    <th class="bg-info text-white">EmpId</th>
                    <th class="bg-info text-white">EmpName</th>
                    <th class="bg-info text-white">Salary</th>
                    <th class="bg-info text-white">Gender</th>
                    <th class="bg-info text-white">DOJ</th>
                    <th class="bg-info text-white">Country</th>
                    <th class="bg-info text-white">EmailId</th>
                </tr>
            </thead>

    <tbody>
        <tr>
            <td>{{emp.empId  }}</td>
            <td>{{emp.empName}}</td>
            <td>{{emp.salary }}</td>
            <td>{{emp.gender }}</td>
            <td>{{emp.doj    }}</td>
            <td>{{emp.country}}</td>
            <td>{{emp.emailId}}</td>
        </tr>
    </tbody>
</table>
</div>  
</div>

<div>
    <ng-template #notfound>
        <h4 align="center" style="color: red;">Employee record not found</h4>
    </ng-template>
</div>


